Bug 119923 - [patch] sysutils/ascpu does not work FreeBSD 8.0-CURRENT
Summary: [patch] sysutils/ascpu does not work FreeBSD 8.0-CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Sivachenko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-23 14:00 UTC by KOIE Hidetaka
Modified: 2009-12-23 09:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.66 KB, patch)
2008-01-23 14:00 UTC, KOIE Hidetaka
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description KOIE Hidetaka 2008-01-23 14:00:05 UTC
ascpu exits 1, because kvm_nlist(kd, nlst={{"_cp_time"}, {0}}) is faild.

Fix: sysctl cp_time/cp_times should be used.
(If sysctl is only used, no need to set the setgid bit by do-install in Makefile.)
the option -cpu will be accepted by this patch.




Patch attached with submission follows:
How-To-Repeat:         koie@guriandgura% ascpu
        kvm_open: kvm_nlist: No such file or directory
        ascpu : cannot get nlist
        koie@guriandgura%
Comment 1 Edwin Groothuis freebsd_committer 2008-01-23 20:46:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->demon

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 martinko 2009-12-22 17:04:12 UTC
Hallo,

The PR with patch has been waiting for nearly 2 years.
Now 8.0-RELEASE is out and the port is not fixed yet.
Could someone have a look and commit pls ?
(Or at least submit a follow up describing why not.)

Thanks and regards,

Martin

PS: Since there's a similar issue with sysutils/wmmemload I'm CCing 
Soeren. PR is ports/141898.
Comment 3 dfilter service freebsd_committer 2009-12-23 09:43:02 UTC
demon       2009-12-23 09:42:39 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/ascpu       Makefile 
  Added files:
    sysutils/ascpu/files patch-ascpu_x.c 
  Removed files:
    sysutils/ascpu/files patch-sec01 
  Log:
  Fix for 8.0.
  (patch-sec01 was merged into patch-ascpu_x.c).
  
  PR:             119923
  Submitted by:   KOIE Hidetaka <koie@suri.co.jp>
  
  Revision  Changes    Path
  1.21      +1 -1      ports/sysutils/ascpu/Makefile
  1.1       +109 -0    ports/sysutils/ascpu/files/patch-ascpu_x.c (new)
  1.3       +0 -23     ports/sysutils/ascpu/files/patch-sec01 (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Dmitry Sivachenko freebsd_committer 2009-12-23 09:43:32 UTC
State Changed
From-To: open->closed

Patch committed, thanks!